# getDescriptor

@Nullable
abstract fun <T> getDescriptor(descriptorClass: Class<T>): @Nullable T

Used to access a specific descriptor format.

For an Ivy module, an ivy module descriptor can be requested and returned.

If the descriptor type requested does not exist for the module under selection, `null` is returned.

#### Return

a descriptor fo the requested type, or `null` if there was none of the requested type.

#### Since

5.0

#### Parameters

descriptorClass

the descriptor class

<T>

the descriptor type

#### See also

IvyModuleDescriptor